

This is a multi-part message in MIME format.
--------------010302050300070009080809
Content-Type: text/plain; charset=us-ascii; format=flowed
Content-Transfer-Encoding: 7bit

Andi,
	Here's a few cleanups to include/linux/gfp.h

1) Move the extern of alloc_pages_current() into #ifdef CONFIG_NUMA. 
The only references to the function are in NUMA code in mempolicy.c

2) Remove the definitions of __alloc_page_vma().  They aren't used.

3) Move forward declaration of struct vm_area_struct to top of file.

-Matt

--------------010302050300070009080809
Content-Type: text/plain;
 name="cleanup-gfp_h.patch"
Content-Transfer-Encoding: 7bit
Content-Disposition: inline;
 filename="cleanup-gfp_h.patch"



---

 25-akpm/include/linux/gfp.h |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

diff -puN include/linux/gfp.h~include-linux-gfph-cleanup-for-numa-api include/linux/gfp.h
--- 25/include/linux/gfp.h~include-linux-gfph-cleanup-for-numa-api	Wed Apr 21 15:20:15 2004
+++ 25-akpm/include/linux/gfp.h	Wed Apr 21 15:21:20 2004
@@ -6,6 +6,8 @@
 #include <linux/linkage.h>
 #include <linux/config.h>
 
+struct vm_area_struct;
+
 /*
  * GFP bitmasks..
  */
@@ -84,10 +86,9 @@ static inline struct page *alloc_pages_n
 		NODE_DATA(nid)->node_zonelists + (gfp_mask & GFP_ZONEMASK));
 }
 
+#ifdef CONFIG_NUMA
 extern struct page *alloc_pages_current(unsigned gfp_mask, unsigned order);
-struct vm_area_struct;
 
-#ifdef CONFIG_NUMA
 static inline struct page *
 alloc_pages(unsigned int gfp_mask, unsigned int order)
 {
@@ -102,7 +103,6 @@ extern struct page *alloc_page_vma(unsig
 #define alloc_pages(gfp_mask, order) \
 		alloc_pages_node(numa_node_id(), gfp_mask, order)
 #define alloc_page_vma(gfp_mask, vma, addr) alloc_pages(gfp_mask, 0)
-#define __alloc_page_vma(gfp_mask, vma, addr) alloc_pages(gfp_mask, 0)
 #endif
 #define alloc_page(gfp_mask) alloc_pages(gfp_mask, 0)
 

_
